## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionFunction

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic

All Known Subinterfaces:
  XMLAggregateFunction, XMLSerializeFunction, XMLValueFunction, XMLValueFunctionComment, XMLValueFunctionConcat, XMLValueFunctionDocument, XMLValueFunctionElement, XMLValueFunctionForest, XMLValueFunctionParse, XMLValueFunctionPI, XMLValueFunctionQuery, XMLValueFunctionText, XMLValueFunctionValidate

All Known Implementing Classes:
  ValueExpressionFunctionImpl, XMLAggregateFunctionImpl, XMLSerializeFunctionImpl, XMLValueFunctionCommentImpl, XMLValueFunctionConcatImpl, XMLValueFunctionDocumentImpl, XMLValueFunctionElementImpl, XMLValueFunctionForestImpl, XMLValueFunctionImpl, XMLValueFunctionParseImpl, XMLValueFunctionPIImpl, XMLValueFunctionQueryImpl, XMLValueFunctionTextImpl, XMLValueFunctionValidateImpl

public interface ValueExpressionFunction
extends ValueExpressionAtomic

A representation of the model object 'SQL Value Expression Function'.

The following features are supported:

- `Special Register`
- `Distinct`
- `Column Function`
- `Parameter List`
- `Function`

See Also:
  `SQLQueryModelPackage.getValueExpressionFunction()`

Method Summary
`Function` `getFunction()` Returns the value of the 'Function' reference.
`EList` `getParameterList()` Returns the value of the 'Parameter List' containment reference list.
`boolean` `isColumnFunction()` Returns the value of the 'Column Function' attribute.
`boolean` `isDistinct()` Returns the value of the 'Distinct' attribute.
`boolean` `isSpecialRegister()` Returns the value of the 'Special Register' attribute.
`void` `setColumnFunction(boolean value)` Sets the value of the '`Column Function`' attribute.
`void` `setDistinct(boolean value)` Sets the value of the '`Distinct`' attribute.
`void` `setFunction(Function value)` Sets the value of the '`Function`' reference.
`void` `setSpecialRegister(boolean value)` Sets the value of the '`Special Register`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### isSpecialRegister

    public boolean isSpecialRegister()

  Returns the value of the 'Special Register' attribute.

  If the meaning of the 'Special Register' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Special Register' attribute.
  See Also:
    `setSpecialRegister(boolean)`, `SQLQueryModelPackage.getValueExpressionFunction_SpecialRegister()`

### setSpecialRegister

    public void setSpecialRegister(boolean value)

  Sets the value of the '`Special Register`' attribute.

  Parameters:
    `value` - the new value of the 'Special Register' attribute.
  See Also:
    `isSpecialRegister()`

### isDistinct

    public boolean isDistinct()

  Returns the value of the 'Distinct' attribute.

  If the meaning of the 'Distinct' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Distinct' attribute.
  See Also:
    `setDistinct(boolean)`, `SQLQueryModelPackage.getValueExpressionFunction_Distinct()`

### setDistinct

    public void setDistinct(boolean value)

  Sets the value of the '`Distinct`' attribute.

  Parameters:
    `value` - the new value of the 'Distinct' attribute.
  See Also:
    `isDistinct()`

### isColumnFunction

    public boolean isColumnFunction()

  Returns the value of the 'Column Function' attribute.

  If the meaning of the 'Column Function' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Function' attribute.
  See Also:
    `setColumnFunction(boolean)`, `SQLQueryModelPackage.getValueExpressionFunction_ColumnFunction()`

### setColumnFunction

    public void setColumnFunction(boolean value)

  Sets the value of the '`Column Function`' attribute.

  Parameters:
    `value` - the new value of the 'Column Function' attribute.
  See Also:
    `isColumnFunction()`

### getParameterList

    public EList getParameterList()

  Returns the value of the 'Parameter List' containment reference list. The list contents are of type `QueryValueExpression`. It is bidirectional and its opposite is '`Value Expr Function`'.

  If the meaning of the 'Parameter List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parameter List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getValueExpressionFunction_ParameterList()`, `QueryValueExpression.getValueExprFunction()`

### getFunction

    public Function getFunction()

  Returns the value of the 'Function' reference.

  If the meaning of the 'Function' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Function' reference.
  See Also:
    `setFunction(Function)`, `SQLQueryModelPackage.getValueExpressionFunction_Function()`

### setFunction

    public void setFunction(Function value)

  Sets the value of the '`Function`' reference.

  Parameters:
    `value` - the new value of the 'Function' reference.
  See Also:
    `getFunction()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.